For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create template

Create a template for a product.

post
Path parameters
productIdstringRequired
Body
namestring · min: 1Required
typestring · enumOptionalPossible values:
defaultboolean · nullableOptional
contentstring · min: 1Required
Responses
201

Created

application/json
idstringOptional
namestringOptional
revisioninteger · int32Optional
contentstringOptional
typestring · enumOptionalPossible values:
defaultboolean · nullableOptional
post/public/v1/catalog/products/{productId}/templates
POST /public/v1/catalog/products/{productId}/templates HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 104

{
  "name": "text",
  "type": "OrderProcessing",
  "default": true,
  "content": "text",
  "externalIds": {
    "vendor": "text"
  }
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "revision": 1,
  "content": "text",
  "type": "OrderProcessing",
  "default": true,
  "externalIds": {
    "vendor": "text"
  },
  "product": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalIds": {
      "operations": "text",
      "defaultErpItem": "text"
    },
    "status": "text"
  }
}

Last updated

Was this helpful?